#ifndef __AFXFTP__
#define __AFXFTP__

#include "windows.h"

#define FILENAME_MAX	512

typedef	HGLOBAL	HARC;

#pragma pack(1)

typedef struct {
	DWORD	dwOriginalSize;
	DWORD	dwCompressedSize;
	DWORD	dwCRC;
	UINT	uFlag;
	UINT	uOSType;
	WORD	wRatio;
	WORD	wDate;
	WORD	wTime;
	char	szFileName[FILENAME_MAX + 1];
	char	dummy1[3];
	char	szAttribute[8];
	char	szMode[8];
} INDIVIDUALINFO, *LPINDIVIDUALINFO;

int  WINAPI Afxftp(const HWND hWnd,LPCSTR szCmdLine,LPSTR szOutput,const DWORD wSize);
BOOL WINAPI AfxftpGetRunning(VOID);
BOOL WINAPI AfxftpCheckArchive(LPCSTR szFileName,const int iMode);
HARC WINAPI AfxftpOpenArchive(const HWND hWnd,LPCSTR szFileName,const DWORD dwMode);
int  WINAPI AfxftpCloseArchive(HARC harc);
int  WINAPI AfxftpFindFirst(HARC harc,LPCSTR szWildName,LPINDIVIDUALINFO lpSubInfo);
int  WINAPI AfxftpFindNext(HARC harc,LPINDIVIDUALINFO lpSubInfo);

int  WINAPI Unlha(const HWND hWnd,LPCSTR szCmdLine,LPSTR szOutput,const DWORD wSize);
BOOL WINAPI UnlhaGetRunning(VOID);
BOOL WINAPI UnlhaCheckArchive(LPCSTR szFileName,const int iMode);
HARC WINAPI UnlhaOpenArchive(const HWND hWnd,LPCSTR szFileName,const DWORD dwMode);
int  WINAPI UnlhaCloseArchive(HARC harc);
int  WINAPI UnlhaFindFirst(HARC harc,LPCSTR szWildName,LPINDIVIDUALINFO lpSubInfo);
int  WINAPI UnlhaFindNext(HARC harc,LPINDIVIDUALINFO lpSubInfo);

#endif	/* __AFXFTP__ */

